<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>SE Code of Ethics</title>
</head>
<body>

	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
	<hr>

	<h1>Software Engineering Code of Ethics and <br> Professional Practice</h1>

	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional <br> Practice </h3>
	<hr>

	<p><strong>Keyword:</strong> code of ethic, professional responsibility, software engeneering</p>

	<h4><strong>PREAMBLE</strong></h4>

	<p>The short version of the code summarized aspirations at a high level of abstaction. The clauses that are included in the full version give example and details of how these <br> aspirations change the way we act as software engineer professionals. Without the aspirations, the <br> deatils can become legalistic and tedious; without the details, the aspiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code. </p>

	<p>Software engineers shall commmit themselves to making the analysis, specification, design, development, testing, and maitenance of the software a beneficial and respected <br>profession. In accordance with their commitment to the health, safety, ans welfare of the public, software engineers shall adhere to the foollowing eight Principles:</p>

	<h4><strong>PRINCIPLES</strong></h4>

		<ol>
			<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>

			<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer consistent with the public interest.</li>

			<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>

			<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>

			<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>

			<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>

			<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>

			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
		</ol>

</body>
</html>